<template>
    <main class="main-wrapper">
      <div class="search-container">
        <div class="search-header">
          <nuxt-icon class="icon-settings" name="IconSettings" filled/>
        </div>
        <div class="search-info">
          <div class="common">
            <div class="common-logo">
              <img src="../assets/logo.png" alt="logo">
            </div>
            <div class="common-text">
              <p class="common-label">Платформа &laquo;Техэксперт&raquo;</p>
              <div class="common-block">
                <p class="common-header">Корпоративный поиск</p>
                <div class="slogan">
                <p>Найдет любой документ</p>
                <p>в любой информационной системе</p>
              </div>
              </div>
            </div>
          </div>
            <ul class="services">
              <li class="services-item">Информационно-справочная подсистема</li>
              <li class="services-item">Банк документов</li>
              <li class="services-item">Подсистема согласования</li>
              <li class="services-item">Система управления требованиями</li>
            </ul>
        </div>
        <div class="searching-wrapper">
          <SearchingComponent
            :width="'80%'"
            :height="'3rem'"
            :colors="{
              txt: '#000000',
              inptBgr: '#ffff',
              mainBgr: '#ffff'
            }"
            :dropdown-params="{
              width: '80%',
              arrow: { right: '50px', show: true },
              position:{ right: '6.5%', top: '46%' }
            }"
          />
        </div>

      </div>
    </main>
</template>

<script setup>
</script>

<style lang="sass" scoped>
@import '/assets/styles/_variables.sass'
.main
  &-wrapper
    display: flex
    justify-content: center
.search
  &-container
    background: #303842
    color: #FFFFFF
    width: 46%
    margin: 3rem
  &-header
    display: flex
    justify-content: flex-end
    padding: 1rem
  &-info
    display: flex
    justify-content: center
    padding: 1rem
    p
        margin: 0
        font-size: .9 * $fz
        font-weight: lighter
        color: #C0C2C5
    .common
      display: flex
      padding: 0rem 3rem 0rem 0rem
      gap: 1rem
      &-header
        font-size: $fz * 2.5
        line-height: 1
        margin: 0 0 1rem
        color: #FFFFFF
      &-text
        display: flex
        flex-direction: column
        justify-content: space-between
      &-label
        margin-bottom: .5rem
      &-block
        border-right: 1px solid #464D55
    .services
      margin: 1.5rem 0 0 3.5rem
      color: #C0C2C5
      &-item
        text-decoration: underline
        width: 90%
        cursor: pointer
        margin-bottom: .5rem
        &:last-child
          margin-bottom: 0
.icon
  &-settings
    cursor: pointer
    svg
      fill: #C1C1C1
      width: $fz * 1.5
      height: $fz * 1.5
.searching
  &-wrapper
    margin: 2rem auto
    display: flex
    flex-direction: column
    align-items: center
    position: relative
.dropdown
  &-block
    height: 20rem
    overflow-x: auto
    color: #50535C
    scroll-behavior: smooth
    scrollbar-color: $lightgrey transparent
    scrollbar-width: 8px
    &::-webkit-scrollbar
      background-color:  transparent
      width: 6px
    &::-webkit-scrollbar-thumb
      border-radius: 4px
      min-height: 40px
      background-color: $lightgrey
      border: 1px solid $darkgrey
  &-content
        margin: 0
        width: 100%
        height: 5rem
        position: relative
        z-index: 9
        background: $white
        border-bottom: 1px solid #F6F6F6
        color: #50535C
        .icon
          &-search
            svg
              width: $fz * 1.4
              height: $fz * 1.4
          &-file
            svg
              fill: #B3B3B3
              width: $fz * 2
              height: $fz * 2
  &-item
    position: relative
    list-style: none
    margin: .25rem 0
    text-align: left
    display: flex
    align-items: center
    gap: .5rem
    padding: .5rem
    &:hover
      cursor: pointer
      background: $lightgrey
    &_lk
      text-decoration: none
      display: flex
      align-items: center
      gap: .5rem
      &:hover
        text-decoration: underline
      &:before
        content: ''
        position: absolute
        top: 0
        left: 0
        width: 100%
        height: 100%
  &-header
    margin: 1rem 0
    padding: 0 .5rem
.documents
  .dropdown
    &-item
      border-top: 1px solid #F6F6F6
.selected
  background: $lightgrey
</style>